\documentclass[a4paper,14pt]{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[normalem]{ulem}
\usepackage[english]{babel}
\usepackage{verbatim}
\usepackage{amsmath}
\usepackage{listings}
\pdfcompresslevel=9
\usepackage{graphicx}
\usepackage{makeidx}
\usepackage{appendix}
\usepackage{glossaries}
\DeclareGraphicsExtensions{.jpg, .png, .pdf}
\usepackage{url}
\usepackage{rotating}

\usepackage{color}
\definecolor{darkblue}{rgb}{0.0,0.0,0.6}
\definecolor{cyan}{rgb}{0.0,0.6,0.6}
\definecolor{dkgreen}{rgb}{0,0.6,0}
\definecolor{gray}{rgb}{0.5,0.5,0.5}
\definecolor{mauve}{rgb}{0.58,0,0.82}

\lstset{ %
  basicstyle=\footnotesize,           % the size of the fonts that are used for the code
  numbers=left,                   % where to put the line-numbers
  numberstyle=\tiny\color{gray},  % the style that is used for the line-numbers
  stepnumber=2,                   % the step between two line-numbers. If it's 1, each line 
                                  % will be numbered
  numbersep=5pt,                  % how far the line-numbers are from the code
  backgroundcolor=\color{white},      % choose the background color. You must add \usepackage{color}
  showspaces=false,               % show spaces adding particular underscores
  showstringspaces=false,         % underline spaces within strings
  showtabs=false,                 % show tabs within strings adding particular underscores
  frame=single,                   % adds a frame around the code
  rulecolor=\color{black},        % if not set, the frame-color may be changed on line-breaks within not-black text (e.g. commens (green here))
  tabsize=2,                      % sets default tabsize to 2 spaces
  captionpos=b,                   % sets the caption-position to bottom
  breaklines=true,                % sets automatic line breaking
  breakatwhitespace=false,        % sets if automatic breaks should only happen at whitespace
  title=\lstname,                   % show the filename of files included with \lstinputlisting;
                                  % also try caption instead of title
  keywordstyle=\color{blue},          % keyword style
  commentstyle=\color{dkgreen},       % comment style
  stringstyle=\color{mauve},         % string literal style
  escapeinside={\%*}{*)},            % if you want to add LaTeX within your code
  morekeywords={*,...}               % if you want to add more keywords to the set
}

\makeindex
\makeglossary

\title{\vskip 5cm {
	\huge Somewhere 2.0 \\
	Developer's Manual}
}
\author{\large \sl \bf
	André de Amorim Fonseca
}

\begin{document}
\maketitle
\date{}

\cleardoublepage
\tableofcontents

\lstset{
	language=bash,
	basicstyle=\footnotesize,
	tabsize=2,
	captionpos=b,
	breakatwhitespace=true,
	breaklines=true
}

\include{introduction}
\include{general}
\include{architecture}
\include{base}
\include{ui}
\include{communication}
\include{distributedReasoning}
\include{experimental}

\printindex
\printglossaries
\addappheadtotoc

\bibliographystyle{plain}
\bibliography{biblio}
\nocite{*}

\end{document}



